%define upstream_name vosk-api

Name:           python-vosk-api
Summary:        Speech recognition toolkit
Version:        0.3.43
Release:        %mkrel 3
URL:            https://github.com/alphacep/vosk-api
Source0:        https://github.com/alphacep/vosk-api/archive/refs/tags/v%{version}/%{upstream_name}-%{version}.tar.gz
Patch1:		vosk-api-py-wheel.patch
License:        ASL 2.0
Group:          Development/Python

BuildRequires: pyproject-rpm-macros
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(cffi)
BuildRequires: kaldi-vosk-devel
BuildRequires: openblas-devel
BuildRequires: libatomic-devel
BuildRequires: lapack-devel
BuildRequires: openfst-devel
BuildRequires: f2c


%description
Vosk is an offline open source speech recognition toolkit. It enables speech recognition models for 18 languages and dialects.
Vosk models provide continuous large vocabulary transcription, zero-latency response with streaming API, reconfigurable vocabulary and speaker identification.
This package provides Python bindings.


%package -n python3-%{upstream_name}
Summary:        Vosk-api bindings for Python 3
%{?python_provide:%python_provide python3-%{upstream_name}}


%description -n python3-%{upstream_name}
Vosk-api bindings for Python.


%prep
%autosetup -n %{upstream_name}-%{version} -p1

# disable stripping
sed -i -e '/$(CXX)/s/-s\s\+//' src/Makefile

# don't override system LDFLAGS
sed -i -e '/^LDFLAGS=$/d' src/Makefile

%build
pushd src
export EXTRA_CFLAGS="%{build_cflags}"
export LDFLAGS="%{build_ldflags}"
%ifarch i586
export EXTRA_CFLAGS="${EXTRA_CFLAGS} -msse2 -mfpmath=sse"
%endif
make USE_SHARED=1
popd
pushd python
%pyproject_wheel
popd

%install
%pyproject_install
%pyproject_save_files vosk

%files -n python3-%{upstream_name} -f %{pyproject_files}
%doc README.md
%license COPYING
%{_bindir}/vosk-transcriber


%changelog
* Wed Sep 21 2022 wally <wally> 0.3.43-3.mga9
+ Revision: 1891143
- add patch to create properly named python wheels during the build
- enable debug pkg
- build using our compiler flags

* Tue Sep 20 2022 papoteur <papoteur> 0.3.43-2.mga9
+ Revision: 1890713
- workaround whl not installable on i586 and arm arches
- imported package python-vosk-api

